/*! =======================================================
                      ESTATE  0.9.1              
========================================================= */

      :root {
        --estate-red: rgb(208,0,0);
        --estate-red-hover: rgb(178,0,0);
        --estate-darkred: rgb(82,0,0);
        --estate-dark: #212529;
        --estate-lightblue: rgba(230,230,230,1);
        --estate-lightblue-opacity: rgba(230,230,230,.5);
        --estate-black-opacity: rgba(0,0,0,.25);
        --estate-warning: #fff3cd;
        --estate-yellow: #f9890996;
        --estate-fontsize: 18px;

      }
      html, body { font-family: 'Fira Sans Condensed','Montserrat', sans-serif; }
      .accordion-button:not(.collapsed)::after {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23d20c0c'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
      }

      p { -moz-user-select: none; -khtml-user-select: none; user-select: none; }

      .text-estate-red { color:var(--estate-red) !important; }
      .text-estate-lightblue { color:var(--estate-lightblue) !important; }
      .bg-estate-red { background-color:var(--estate-red); } 
      .bg-estate-red-hover { background-color:var(--estate-red-hover); } 
      .bg-estate-lightblue-opacity { background-color:var(--estate-lightblue-opacity); } 
      .langname { text-transform:uppercase; }
      .btn-es-sm { font-size:.9rem; }
      .btn-es-top { text-transform:uppercase; font-size: 1rem !important; letter-spacing: 2px; font-weight: 600 !important; margin: 2rem 1rem 1rem; padding: 1rem 4rem; }

      h2,h3,h4,h5,h6 { font-weight:bold !important; }

      body { background-color:var(--bs-white); /*font-family: 'Roboto Flex', sans-serif;*/ color: var(--bs-gray-900); }

      body.esdark { background-color:var(--bs-dark); color: var(--bs-light); }

      .text-shadow { text-shadow: 1px 1px 3px #000000; }
      .es-container { padding-top:2rem; display:block; }

      .es-container h2, .class-h2 { margin-top: 2.1rem; margin-bottom: 3rem; color: var(--bs-black); font-weight: lighter; /*padding-left: 10%; padding-right: 10%; text-align: center;*/ }

      body.esdark .card { background-color:var(--estate-black-opacity); color: var(--bs-light); }

      a { color: var(--estate-red); text-decoration:none; }
      a:hover { color: var(--estate-redhover); }
      a.active { color: var(--estate-redhover); }

      #estate-top { background-color:var(--bs-white); border-bottom:1px solid rgba(0,0,0,.1); transition: height 1s; }
      #estate-top a { color:var(--bs-dark); font-size:var(--estate-fontsize); }
      #estate-top a:hover { color:var(--estate-red); }
      #estate-top a.active { color:var(--estate-red); }
      #estate-top .logoeatate { display: block; width: 160px; margin: auto; }

      #estate-top.es-top-minsize .es-nav-addr, #estate-top.es-top-minsize .sun-moon { display: none; }
      #estate-top.es-top-minsize .logoeatate { width: 120px; }
      #estate-top.es-top-minsize .es-menuline-top { margin-top: .5rem; margin-bottom: .5rem; }

      .es-menuline-top { font-size:.9rem; letter-spacing:-0.2px; }
      .es-menuline-top  > .es-list-item { color:var(--bs-light); }


      body.esdark #estate-top { background-color:var(--bs-dark); border-bottom:1px solid rgba(0,0,0,.1); }
      body.esdark #estate-top a { color:var(--estate-lightblue-opacity); }
      body.esdark #estate-top a:hover { color:var(--estate-lightblue); }
      body.esdark #estate-top a.active { color:var(--estate-red); }

      /*.es-navbar-ddown { position: absolute; background-color:var(--bs-white); left: 5%; width: 90%; columns: 200px 5; padding: 1.5rem; text-align: left; column-rule: 1px solid #ccc; }*/
      .es-navbar-ddown { background-color:var(--bs-white); padding: 1rem; text-align: left; border-radius:0px; margin-top:-2px !important; width:270px;   }

      body.esdark .es-navbar-ddown { position: absolute; background-color:var(--bs-dark); left: 5%; width: 90%; columns: 200px 4; padding: 1.5rem; text-align: left; column-rule: 1px solid rgba(125,125,125,.15);  }
      .es-navbar-ddown-nav { position:absolute; display:none; }
      .es-navbar-ddown-nav { position:absolute; display:none; }
      .es-navbar-ddown-nav a.es-ddown-link-secondary { padding:.2rem .4rem !important; font-size:.95rem; }

      .es-phones { line-height:120%; font-size:.9rem; margin-top:1.4rem; margin-bottom:1.4rem; }
      .es-phones a { margin:auto; }
      a.es-ddown-lang { display: block; padding: .2rem .4rem; }

      .es-ddown-langmenu { padding-left:1rem; padding-right:1rem; }
      body.esdark .es-ddown-langmenu { background-color:var(--bs-dark);  }

      .es-dropdown-menu { border-radius: 0; border: 2px solid rgba(0,0,0,.1); }
      /* menu */

      .es-topline { color:var(--bs-light); display:inline-block; font-size:.9rem; line-height:110%; padding-top:2rem; padding-bottom:1.5rem; }
      a.es-topline:hover { color:var(--estate-red); }
      .es-topline-icon { margin-left:.25rem; margin-right:.25rem;  }
      .es-topline-icon img { }

      .logoestate { width:150px; }

      ul.es-menuline-top { list-style:none; margin:auto; font-size:var(--estate-fontsize); }
      ul.es-menuline-top li.es-list-item { display:inline-block; }
      a.es-list-href, div.es-list-href {  padding:1.15rem .75rem; display:block; font-weight:600; color:var(--bs-light); }
      ul.es-menuline-top .es-list-item button { font-size:var(--estate-fontsize) !important; min-width:unset; }

      /*
      ul.es-menuline-top li.es-list-item a:hover { background-color:var(--bs-light); }
      body.esdark ul.es-menuline-top li.es-list-item a:hover { background-color: rgba(125,125,125,.15); }
      */
      ul.es-menuline-top a.es-ddown-link-primary { /*font-weight:700;*/ display:block; padding:.4rem .4rem; color:var(--estate-dark); font-size:1rem; }
      ul.es-menuline-top a.es-ddown-link-secondary {  padding: .1rem .2rem .1rem 1rem; display:block; }

      /* menu */

      /* buttons */
      .btn-es { border-radius:1px; min-width:96px; font-weight:500; border-radius: 5px !important; }
      
      .btn-es-red {  border:2px solid var(--estate-red) !important;  background-color:var(--estate-red) !important; color:var(--bs-light) !important;  }
      .btn-es-red:hover { border:2px solid var(--estate-red-hover) !important;  background-color:var(--estate-red-hover) !important; color:var(--bs-light) !important;  }
      
      .btn-es-light {  border:2px solid var(--estate-lightblue); background-color:var(--bs-light); color:var(--bs-dark);  }
      .btn-es-light:hover { border:2px solid var(--estate-lightblue); background-color:var(--estate-lightblue); color:var(--bs-dark);  }

      .btn-es-rent, .btn-es-sale { border:2px solid #FFFFFF; color:var(--bs-light); margin:0 .2rem;; }
      .btn-es-rent { background-color: #ff8c69; }
      .btn-es-sale { background-color: #146569; }
      .btn-es-rent:hover, .btn-es-sale:hover { border:2px solid var(--bs-light); background-color:var(--bs-light); color:var(--bs-dark); }

      body.esdark .btn-es-red {  border:2px solid var(--estate-red-hover);  background-color:var(--estate-red-hover); color:var(--bs-light);  }
      body.esdark .btn-es-red:hover { border:2px solid var(--estate-lightblue-opacity);  background-color:var(--estate-lightblue-opacity); color:var(--bs-dark);  }

      .btn-es-red-radius { border:2px solid var(--estate-red) !important; color:var(--bs-light) !important; background-color:var(--estate-red) !important; border-radius:5px; font-weight:600; }
      .btn-es-red-radius:hover { border:2px solid var(--estate-red-hover) !important; background-color:var(--estate-red-hover) !important; color:var(--bs-light) !important;  }

      .btn-es-red-outline { border:2px solid var(--estate-red) !important; color:var(--estate-dark) !important; background-color:var(--bs-light) !important; }
      .btn-es-red-outline:hover { border:2px solid var(--estate-red-hover) !important; background-color:var(--estate-red-hover) !important; color:var(--bs-light) !important;  }

      .carousel .btn-es-red-outline { 
        padding: .5rem 1rem;
      }

      body.esdark .btn-es-red-outline { border:2px solid var(--estate-red-hover); color:var(--estate-lightblue-opacity) !important; background-color:var(--bs-dark);  }
      body.esdark .btn-es-red-outline:hover {  border:2px solid var(--estate-lightblue-opacity);  background-color:var(--estate-lightblue-opacity); color:var(--bs-dark);  }

      .btn-es-secondary-outline-small {
        border:2px solid var(--estate-black-opacity); color:var(--estate-black-opacity); background-color:var(--bs-light); padding: 2px 5px 1px; margin-top: 0; vertical-align: top;
      }
      .btn-es-secondary-outline-small:hover { border:2px solid var(--estate-red-hover); background-color:var(--estate-red-hover); color:var(--bs-light);  }

      /*ul.es-menuline-top { font-size: 1rem; }*/
      ul.es-menuline-top li.es-list-item .btn-es { margin-bottom: 0.3rem; }

      /* buttons */

      /* pagination */
      .page-link { cursor:pointer; }
      /* pagination */

      /* es-carousel */
      .es-carousel {}
      .es-carousel-caption { position:unset; }
      .es-carousel .carousel-item { min-height: 50vh; /*padding-top: 2rem;*/ /*135px*/; background-color:var(--bs-light);  /*background-color:var(--estate-darkred);*/ }
      .es-carousel .carousel-item, .es-carousel .carousel-item a, .es-carousel .carousel-item button, .es-carousel .carousel-item label { font-size:var(--estate-fontsize); }
      .es-carousel .carousel-item-page { min-height: unset; }
      .es-carousel .es-carousel-imgblock { background-size: auto; background-position: center center; opacity: .95; }
      .es-carousel .es-caption { /*background-color: rgba(0,0,0,.5); border: 4px solid rgba(255,255,255,.75);*/ }
      .es-carousel .es-caption h1 { font-weight:700; font-size:3rem; text-shadow: 2px 2px 5px rgba(0,0,0,.75), 0px 0px 2px var(--bs-dark); }
      .es-carousel .es-caption-filter { background-color:rgba(255,255,255,.6); color:var(--bs-dark);  margin-bottom: auto; padding-left: 1.25rem; padding-right: 1.25rem; margin:auto; }
      .es-carousel .es-caption-filter-main { /*background-color:rgba(255,255,255,1);*/ color:var(--bs-dark);  margin-bottom: auto; padding-left: 1.25rem; padding-right: 1.25rem; margin:auto; /*background-color: rgba(255,255,255,.95);*/ padding: 1.5rem; border-radius: .25rem; /*border: solid 1px rgba(0, 0, 0, .1);*/ }
      .es-buttons { margin:auto; margin-bottom:2rem; }

      .es-carousel .es-caption-filter-main .es-form { background-color: none; padding: 0rem; border-radius: unset;  }
      .es-carousel .es-caption-filter-main #resultdatacat { margin-bottom:0; }
      /* #filterDdowncity ~ ul { width:380px; } */
      /* #filterDdowncity ~ ul li { display:inline !important; } */

      body.esdark .es-carousel {  }
      body.esdark .es-carousel .es-caption { background-color: rgba(0,0,0,.5); border: 0px solid var(--estate-lightblue-opacity); color:var(--bs-light); }
      body.esdark .es-carousel .es-caption-filter { background-color:var(--bs-dark); color: var(--estate-lightblue); }

      /* es-carousel */

      /* es-toplinepage */
      .es-toplinepage { background-size: cover; background-position: center center; opacity: .95; background-repeat: no-repeat; background-attachment: fixed; }
      .es-toplinepage h1 { color: var(--bs-light); font-weight:700; font-size:3rem; text-shadow: 2px 2px 5px rgba(0,0,0,.75), 0px 0px 2px var(--bs-dark); }
      /* es-toplinepage */

      /* blocks */
      .es-column-3 { columns: 200px 3; text-align: left;  }
      .es-column-4 { columns: 150px 4; text-align: left;  }
      /* blocks */


      /* es-card */
      .es-container .card { /* border-radius: 1px; border: 1px solid rgba(0,0,0,.05); */ }
      .es-container .card h3 { font-size:1.3rem; color:var(--bs-dark);  }
      .card-body .card-title.fs-5 { margin-bottom:0; color:var(--bs-dark); }
      .card-body .card-title.fs-3, .card-title .es-price { color:var(--estate-red); }
      .es-container .card p, .es-container .card .card-text { font-size:1.0rem; color:var(--bs-gray-600); }
      .es-card a .es-title { text-overflow: ellipsis; overflow: hidden; width: 100%; white-space: nowrap; display: block; color: var(--bs-dark); font-weight:600; }
      .es-card a:hover .es-title { color:var(--estate-red); }

      .es-card .card-text { color: var(--bs-gray-600); line-height: 140%; }
      .es-card .es-title-small { font-size: .9rem; font-weight: 600; color: var(--bs-gray-600); float: right; margin-top: .2rem; }
      .es-card .card-img-overlay { bottom:unset; padding:.6rem; } 
      .es-card .card-img-overlay .card-title { font-weight:600; color:var(--bs-light); } 

.es-card .label-to-card {
  border-bottom: 40px solid red;
  border-left: 40px solid transparent;
  border-right: 40px solid transparent;
  height: 0;
  width: 175px;
  text-align: center;
  position: absolute;
  left: -46px;
  top: 20px;
  color: #FFFFFF;
  text-transform: uppercase;
  font-size: .85rem;
  font-weight: bold;
  margin: auto;
  line-height: 300%;
  text-shadow: 1px 1px 1px #00000055;
}
/*
.es-card .label-to-card {  position: relative; left: -12px; padding: .2rem .6rem; background-color: var(--estate-lightblue); background-color:#2ACEDB; box-shadow: 3px 2px 2px rgba(0,0,0,.3); text-shadow: 3px 1px 3px rgba(0,0,0,.25); font-weight: 600; display: inline-block; color:var(--bs-light); margin-bottom:.1rem; font-size: .8rem;text-transform: uppercase; margin-left:-10px; top:-2px; }
.es-card .label-to-card { border-top-left-radius: .7rem; border-top-right-radius: .7rem; border-bottom-right-radius: .7rem; border-bottom-left-radius: .7rem; }
*/
.es-card .label-to-card-left { position: relative; left: -12px; padding: .2rem .6rem; background-color: var(--estate-lightblue); background-color:#2ACEDB; box-shadow: 3px 2px 2px rgba(0,0,0,.3); text-shadow: 3px 1px 3px rgba(0,0,0,.25); font-weight: 600; display: inline-block; color:var(--bs-light); margin-bottom:.1rem; font-size: .8rem;text-transform: uppercase; margin-left:-10px; top:-2px; }
.es-card .label-to-card-left { border-top-left-radius: .2rem; border-top-right-radius: .7rem; border-bottom-right-radius: .7rem; border-bottom-left-radius: .7rem; }


      .es-card .triangle-topright {
        width: 0; height: 0; 
        border-bottom: 6px solid rgba(0,0,0,.65); 
        border-left: 6px solid transparent; 
        margin-top: 0px;
        top: 110px; 
	position: absolute; 
	left: -6px;
	/*left: -8px;*/
      }

      .es-card .triangle-top {
          width: 0;
          height: 0;
          border-bottom: 7px solid rgba(0,0,0,.65);
          border-left: 7px solid transparent;
          margin-top: 0px;
          top: -7px;
          position: absolute;
          left: 110px;
      }

      .triangle-topright-new-building {

      }

      .es-card-footer { font-weight:500; }
      .es-card-footer .fa { opacity:.35; }


      .triangle-topright-sold { border-top-color:#2adb7a;}
      .triangle-topright-handed_over { border-top-color:#06C9D1; }
      .triangle-topright-reserved { border-top-color:#dbb91f; }
      .triangle-topright-discount { border-top-color:#d12411; }
      .triangle-topright-featured { border-top-color:#000000B0; }
      .triangle-topright-gift_voucher { border-top-color:#DE0794; }
      .triangle-topright-all_inclusive { border-top-color:#188085; }
      .triangle-topright-new-building { border-top-color:#1bc49c; } /*3af2c7*/
      .triangle-topright-rented { border-top-color:#D96052; }

      .es-card .triangle-topright.triangle-topright-sold {border-bottom-color:#167545;}
      .es-card .triangle-topright.triangle-topright-handed_over { border-bottom-color:#036b72; }
      .es-card .triangle-topright.triangle-topright-reserved { border-bottom-color:#746710; }
      .es-card .triangle-topright.triangle-topright-discount { border-bottom-color:#7f150a; }
      .es-card .triangle-topright.triangle-topright-featured { border-bottom-color:#000000B0; }
      .es-card .triangle-topright.triangle-topright-gift_voucher { border-bottom-color:#85045c; }
      .es-card .triangle-topright.triangle-topright-all_inclusive { border-bottom-color:#0d4749; }
      .es-card .triangle-topright.triangle-topright-new-building {  border-bottom-color:#10735a; } /*3af2c7*/
      .es-card .triangle-topright.triangle-topright-rented { border-bottom-color:#7b342e; }




      .es-card .lable-style-sold { 
        border-bottom-color:#e63718; 
         transform: rotate(-45deg);
         z-index: 100;
      } /* продано */
      .es-card .lable-style-handed_over { border-bottom-color:#06C9D1; } /* Передано/отдано */
      .es-card .lable-style-reserved { 
         transform: rotate(-45deg);
        border-bottom-color:#dbb91f; 
         z-index: 100;
      } /* резерв */
      .es-card .lable-style-discount { 
        transform: rotate(-45deg);
        border-bottom-color:#d12411; 
        z-index: 100;
      } /* резерв */
      .es-card .lable-style-featured {  transform: rotate(-45deg);  border-bottom-color:#34a424; } /* лучшее */
      .es-card .lable-style-gift_voucher { border-bottom-color:#DE0794; } /* лучшее */
      .es-card .lable-style-all_inclusive { 
        transform: rotate(-45deg);
        border-bottom-color:#188085;
        z-index: 10; 
      } /* все включено */
 
      .es-card .lable-style-new-building { 
        left: unset;
        right: -45px; 
        transform: rotate(45deg); border-bottom-color:#3498db; } /* новостройка */
      .triangle-top.triangle-topright-new-building { transform: rotate(90deg); left: unset; right: 111px; }
      .triangle-topright.triangle-topright-new-building { transform: rotate(90deg); left: unset; right: -6px; }

      .es-card .lable-style-rented { 
        transform: rotate(-45deg);
        border-bottom-color:#3498db; 
         z-index: 100;
      } /* сдано */

      .es-card .es-card-typetrans { font-size: 1rem; color: var(--estate-red-hover); }
      .es-card .es-card-date_update {  font-size: 1rem; float:right; color: var(--bs-gray-600) }

      .es-card .es-card-for_sale {  font-size: 1rem; float:left; color: #1bc49c; font-weight:500; }
      .es-card .es-card-for_rent {  font-size: 1rem; float:left; color: #a23a22; font-weight:500; }

      .es-card {  }

.slick-track { margin-top:10px }

      /*.imgfilt-rented,*/ 
      /*.imgfilt-sold { filter: grayscale(100%); }*/

      /*
      Продано - #2adb7a sold
      Передано/отдано  #06C9D1 handed_over
      Резерв #dbb91f reserved
      Скидка  #d12411 (SALE) discount
      Лучшее #ff6723 (до сих пор неизвестно что это) featured
      Подарочный сертификат #DE0794 gift_voucher
      Все включено #188085 all_inclusive 
      Новостройка #3af2c7 new-building
      Сдано #D96052 rented
      */

      .es-card-footer { color: var(--bs-dark); background-color: var(--bs-light); text-align: center; font-size: 1rem; }
      .es-card-footer span { margin-right:.4rem; }

      .es-card .card, .es-container .card { --bs-card-border-color: rgba(125,125,125,.15); }
      .es-card .card .imganimate, .es-container .card .imganimate { overflow:hidden; border-top-left-radius: var(--bs-card-border-radius); border-top-right-radius: var(--bs-card-border-radius); background-color: var(--estate-lightblue-opacity); min-height: 223px; }
      .es-card .card img, .es-container .card img { transition: transform .5s; }
      .es-card .card:hover img { transform: scale(1.3); /*animation: move 15s ease-in infinite;*/ }
      .es-container .card:hover img { transform: scale(1.2); /*animation: move 15s ease-in infinite;*/ }
      .es-card .card:hover, .es-container .card:hover { --bs-card-border-color: rgba(125,125,125,.35);box-shadow: 0px 0px 5px rgba(0,0,0,.2);  }

      /* es-card */

      /* es-form */
      .es-form, .es-form-filter { background-color: var(--estate-lightblue-opacity); padding: 1.5rem; border-radius: .25rem; border: solid 1px rgba(0, 0, 0, .1); }
      .es-form-control { border-radius: 0; border: 2px solid rgba(0,0,0,.1); }
      .es-form-label { margin-bottom: .2rem; margin-top: .5rem; }
      
      .es-text-muted { margin-bottom: .5rem; font-size: 1rem; margin-top: .5rem; line-height: 120%;}
      .es-checkgroup { columns: 2; font-size:1rem; }
      .form-check-input:checked {
        background-color: var(--estate-red);
        border-color: var(--estate-red);
      }
      button.es-form-control {        text-overflow: ellipsis;
        overflow: hidden;
        width: 100%;
        white-space: nowrap;
        display: block;
        color: var(--bs-gray-600);
      }
      .es-dropdown-items { width: 320px; padding: .5rem; }
      .es-dropdown-items input { border: none;  }

      .es-search-list-item { padding: 0.3rem 1rem; background-color: var(--bg-light); }
      .es-search-list-item span.badge { background-color: var(--estate-lightblue-opacity); color: var(--estate-black-opacity); }
      .es-search-list-item:hover { background-color: var(--estate-red-hover); color:var(--bs-light); }
      .es-search-list-item:hover span.badge { background-color: var(--bs-light); color: var(--estate-red-hover); }

      .formcheckbtn.btn { padding-left:0; padding-right:0; border:0; }

      .es-form-label.active { font-weight:bold; }

      .es-badge { width: 3rem; display: inline-block; text-align: right; font-size: small; color: var(--estate-red-hover); }
      .es-badge.active { color: var(--estate-black-opacity); font-weight:600; }

      input.form-check-input ~ div { cursor:pointer; }
      input.form-check-input ~ div:hover { cursor:pointer; color:var(--estate-red); }
      input.form-check-input ~ div > i { margin-right:.25rem; }
      input.form-check-input:checked ~ div { /*font-weight:600; color:var(--estate-red);*/ }

      .slider-track {  }
      .slider-handle { background-color: var(--estate-red-hover); background-image: unset; border: 3px solid #fff; }
      .dropdown-range { white-space: nowrap; text-align:center; }
      .dropdown-range > li > span { padding:0 15px; font-size: 0.9rem; font-weight: 600; color: var(--estate-black-opacity); }

      .es-form-check { display:inline-block; margin-right:1.5rem; }
      .formtag { color:var(--bs-dark); display:none; }
      .formtag .es-form, .formtagmain .es-form { background-color:var(--bs-light); }
      .formtag .formdetail, .formtagmain .formdetail { margin: 1rem 0 0 !important; }
      .formtag, .formtagmain { background-color: var(--bs-light); border-radius: .35rem; border: solid 2px rgba(0, 0, 0, .15); padding: 1.5rem 1.25rem !important; margin-top: 1rem; }
      .formtag .formmain, .formtagmain .formmain { background: none; border: none; padding: 0 !important; margin: 0 !important; }
      .formtagmain-mobile { border:none; }
      /* es-form */

      /* slider */
      .sl-img { border-radius:0.375rem; }
      .slide-est1 { margin-left: -1rem; margin-right: -1rem; padding-top: 1rem; }
      .slick-slide { padding-right: calc(var(--bs-gutter-x) * .5); padding-left: calc(var(--bs-gutter-x) * .5); }
      /* slider */


      /* spaincityquery */
      #spaincityquery { text-transform: capitalize; }
      #spaincityquery ul { list-style:none; padding-left:2rem; }
      #spaincityquery ul li { }
      #spaincityquery .badge { background-color: var(--estate-black-opacity); font-size: 0.75rem; }
      /* spaincityquery */


      /* es-page */
      .es-page-ref h1 { color: var(--bs-black); font-size:2.4rem; font-weight:500; }
      .es-page-ref h2 { font-size:1.3rem; font-weight:200; }
      .class-h2 { font-weight:bold; font-size:1.3rem; }
      .es-page-contacts .es-page-contacts-item { display:block; color:var(--bs-dark); background-color:var(--bs-white); padding:.8rem 1rem; line-height: 120%; border-left: 1px solid var(--estate-lightblue); }
      .es-page-contacts a.es-page-contacts-item:hover { color:var(--estate-red-hover); }
      .es-page-contacts a.es-page-contacts-item i {float: left; font-size: 2.6rem; padding-right: .5rem; color: var(--estate-black-opacity); }
      .es-page-contacts-item a {  color:var(--bs-dark); }
      .es-page-contacts-item a:hover { color:var(--estate-red-hover); }
      .es-page-contacts button { width:100%; }
      .es-page-contacts-form { display:block; color:var(--bs-dark); background-color:var(--estate-lightblue-opacity); padding:.8rem 1rem; line-height: 120%; border-left: 1px solid var(--estate-lightblue); }
      .es-page .es-map-container { height:60vh; z-index:5; }

      .es-nav-datail-div ul { text-indent: -0.65em; }
      .es-nav-datail-div ul li { margin-left: 1.3em; line-height: 110%; margin-bottom: .75rem; margin-right: .15rem; }
      .es-nav-datail-div ul li:hover { color:var(--estate-red-hover); }

      .pagination {
        --bs-pagination-color: var(--bs-dark);
        --bs-pagination-hover-color: var(--estate-red);
        --bs-pagination-focus-color: var(--bs-link-hover-color);
        --bs-pagination-active-bg: var(--estate-red-hover);
        --bs-pagination-active-border-color: var(--estate-red-hover);
        
      }
      /* es-page */

      /* es-table-param */
      .es-page-typetrans { display: inline-block; background-color: var(--estate-black-opacity); color: var(--bs-light); padding: .2rem 1rem; font-weight: 600; margin-bottom:3px; }
      .es-page-price { color:var(--estate-red); font-size:3.8rem; font-weight:200; line-height:100%; margin-bottom:.5rem; }
      .es-table-param thead { background-color:var(--estate-lightblue);  }
      .es-table-param tbody { font-weight:700; background-color:var(--bs-white); }
      .es-page-special { font-size: .9rem; font-weight: 600; }
      /* es-table-param */

      /* es-nav-detail */
      .es-nav-detail {  }
      .es-nav-datail-body { background-color:var(--bs-white); padding:2rem; border: 1px solid var(--estate-lightblue); margin-top: -1px; }
      
      .es-nav-detail .nav-link { border:1px solid var(--estate-lightblue); background-color:var(--estate-lightblue); color:var(--bs-dark); margin-right: .3rem; border-bottom:0;  }
      .es-nav-detail .nav-link:hover { border:1px solid var(--estate-lightblue-opacity); background-color:var(--bs-white); color:var(--bs-dark); border-bottom:0;  }

      .es-nav-detail .nav-link.active {  border:1px solid var(--estate-lightblue);  background-color:var(--bs-white); color:var(--bs-dark); border-bottom:0;  }
      .es-nav-detail .nav-link.active:hover {  }

      /* es-nav-detail */

      /* resultdatacat */
      #resultdatacat { margin-bottom:1.25rem; }

      /* resultdatacat */




      /* es-footer */
      .es-footer { padding: 3rem 0; line-height:140%; font-size:1.1rem; color:var(--bs-secondary); }
      .es-footer a { color:var(--estate-lightblue-opacity); font-weight:300; }
      .es-footer a:hover { color:var(--estate-lightblue); text-decoration:underline; }
      .es-footer a svg { fill:var(--estate-red); }
      .es-footer a:hover svg { fill`:var(--estate-lightblue); }
      ul.es-footer-socialbtn li { display:inline-block; margin-right:.2px; }
      ul.es-footer-socialbtn li a, ul.es-footer-socialbtn li span { display: block; padding: .4rem .5rem .4rem; background-color: var(--estate-black-opacity); border-radius: .25rem; font-size:1.2rem; }
      ul.es-footer-socialbtn li a:hover, ul.es-footer-socialbtn li span:hover { background-color: var(--estate-lightblue-opacity); color: var(--bs-light); }
      /* es-footer */

      .pointer { cursor:pointer; }
      .es-g-4 { --bs-gutter-x: 2rem; --bs-gutter-y: 2rem; }

      .small { font-size:.9rem; }
      .strong { font-weight:600; }
      .upperkeys { text-transform:uppercase; }

      #goup, #favbtn { position: fixed; bottom: 5rem; right: 1rem; cursor:pointer; color:var(--bs-secondary); opacity:.5; }
      #goup:hover, #favbtn:hover { opacity:1; }

      #favbtn { bottom:1.0rem; right:1.3rem; }

      .leaflet-touch .leaflet-bar a { width: 50px; height: 50px; line-height: 50px; }

      #spaincityquery a { color:var(--bs-dark); font-size:1.1rem; }
      #spaincityquery a:hover { color:var(--estate-red); font-size:1.1rem; }
      #spaincityquery .badge { display:none; }

      #spaincityquery ul.es-city-min { padding-left:0rem; }
      #spaincityquery ul.es-city-min a { font-size:1rem; }

      #accordionfaq h3 button { font-size:1.3rem; }

      .accordion-button:not(.collapsed) {
        color: var(--estate-red-hover);
        background-color: var(--estate-lightblue-opacity);
        box-shadow: inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--bs-accordion-border-color);
      }

      .accordion {
        --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem var(--estate-lightblue-opacity);
      }
      input:focus, textarea:focus { box-shadow: 0rem 0rem .3rem .1rem var(--estate-black-opacity) !important; border-color: var(--estate-lightblue-opacity)  !important; }

      ul { list-style: none; }
      #es-description ul li::before, #containerid-7164 .col-md-12 ul li::before, p ul li::before, .card-body ul li::before, .es-page-item ul li::before, #pagetext ul li::before, #accordionfaq ul li::before {
        content: "✓";  /* Add content: \2022 is the CSS Code/unicode for a bullet */
        color: var(--estate-red); /* Change the color */
        margin-right: .5rem;
        font-weight: 600;
      }

      nav ul li::before, .pagination ul li::before, form ul li::before {
        content: "" !important;  /* Add content: \2022 is the CSS Code/unicode for a bullet */
        margin-right: 0;
      }

      ul.slick-dots li::before, ul.nav li::before {
        content: "" !important;  /* Add content: \2022 is the CSS Code/unicode for a bullet */
        color: var(--bs-dark); /* Change the color */
        margin-right: .5rem;
        font-weight: 600;
      }


      footer ul li::before, nav ul li::before {
        content: none;
      }

      #containerid-7147 { padding-bottom:4rem; }
      #containerid-7149 { background-color:var(--bs-light); padding-bottom:4rem; }
      #containerid-7148 { padding-bottom:4rem; }
      #containerid-7154 { background-color:var(--bs-light); padding-bottom:4rem;  }
      #containerid-7163 { background-color:var(--estate-yellow); padding-bottom:4rem; background-size:cover; background-position:center; background-attachment:fixed; }
      #containerid-7163 .btn-es-red-outline { border-radius:2px !important; }
      #containerid-7163 h2 { color:var(--bs-light); text-shadow: 0px 2px 5px #000; }

      #containerid-7164 { padding-bottom:4rem; }
      #containerid-7168 { background-color:var(--bs-light); padding-bottom:4rem; }
      #containerid-7169 { padding-bottom:4rem; }
      #containerid-7170 { background-color:var(--bs-light); padding-bottom:4rem; }
      #containerid-7171 { padding-bottom:4rem; }
      #containerid-7172 { background-color:var(--bs-light); padding-bottom:4rem; }

      ul.pagination li.page-item { cursor:pointer !important;  }

      .leaflet-interactive { cursor:unset; }
      #pagetext { margin-bottom:0px; font-size: 1.1rem; }

      #addtofavorite.active { background-color:var(--estate-red-hover); color:#FFFFFF; border-color:var(--estate-red-hover); }

      .btn-favorite { position: absolute; z-index: 100; right: 0; top: 0; color:var(--estate-red); font-size:1.3rem; border:none; opacity: 1; }
      .btn-favorite:hover { color: var(--estate-warning); opacity: 1; }
      .btn-favorite.active { color: var(--estate-red);  opacity: 1; }
      #erasefav span { cursor:pointer; color:var(--estate-red); }

      div.nav-link { cursor:pointer; }

      div.es-ddown-submenu { padding: 1rem; background-color:#FFFFFF; margin-left: 252px; margin-top: -42px; min-width:150px; border: 1px solid var(--estate-lightblue); }

      .es-card-date_update { display:none; }

      .es-card .card-text-name {
          overflow: hidden;
          text-overflow: ellipsis;
          display: -moz-box;
          -moz-box-orient: vertical;
          display: -webkit-box;
          -webkit-line-clamp: 2;
          -webkit-box-orient: vertical;
          line-clamp: 2;
          box-orient: vertical;
      }

      #resultdatasearch .slick-dots {
        bottom:-60px;
      }

      @keyframes move {
        0% {
          /*
          -webkit-transform-origin: bottom left;
          -moz-transform-origin: bottom left;
          -ms-transform-origin: bottom left;
          -o-transform-origin: bottom left;
          transform-origin: bottom right;
          */
          transform: scale(1.0);
          -ms-transform: scale(1.0);
          -webkit-transform: scale(1.0);
          -o-transform: scale(1.0);
          -moz-transform: scale(1.0);
        }
        25% {
          transform: scale(1.2);
          -ms-transform: scale(1.2);
          -webkit-transform: scale(1.2);
          -o-transform: scale(1.2);
          -moz-transform: scale(1.2);
        }
        100% {
          transform: scale(1.3);
          -ms-transform: scale(1.3);
          -webkit-transform: scale(1.3);
          -o-transform: scale(1.3);
          -moz-transform: scale(1.3);
        }
      }

      .navigations li {
        cursor: pointer;
      }
      .pagination input[type="radio"]:checked+label {
        background-color: var(--estate-red);
        color: var(--bs-light);
      }
      form .navigations {
        display: none;
      }


      input[type="radio"]:checked+label {
        font-weight: bold;
      }

      .resultdata .slick-prev::before, .resultdata .slick-next::before {
        color: var(--bs-light) !important;
      }

      .slick-prev::before, .slick-next::before {
        color: var(--estate-red) !important;
      }

      .es-form .btn-es-red {
        /*position:absolute; */
        bottom:0px; 
        width:96%;
      }

      .form-btn-block {
        position: relative;
      }

      .es-caption-h1 { padding: 3rem 1rem; }

      .card-body ul li a { color:var(--estate-dark); font-size: 1rem; }
      .card-body ul li a:hover { color:var(--estate-red); }
      .card-body .card-text ul { padding-left:1rem }
      /*.slick-slide .card-body .card-text { height:40px; }*/
      /* card-text */

      .es-table-info { background-color:#FFFFFF; text-align:center; }
      .es-table-info .col_td, .es-table-info .col_th { padding:.5rem; } 
      .es-table-info .col_th { background-color:#EAEAEA; border-left:1px solid #FFFFFF; }
      .es-table-info .col_td { font-weight:600; }

      #btn-navbar { display:none; }
      .es-nav-datail-mob-title { display:none; }
      .padding-top-mob { padding-top:0px; }

      .es-container .card .imganimate { min-height: 190px; }
      .es-data-city { padding-top:1rem; }

      #spaincityquery .resultdata { padding-top:1rem; }
      .card-title { padding-top:1rem; }

      #resultcaclmortage span { font-weight: bold; color: var(--estate-red-hover); white-space:nowrap; }
      #caclmortage { background-color: #06C9D1; color: #FFFFFF; }
      #formfeedbackmain .btn-es-red { position:absolute; }
      #fb_feedback { border:solid 2px rgba(0,0,0,0); padding:.75rem; }
      #fb_feedback.is-invalid { border: 2px solid var(--estate-red); }
      .es-form, .es-formmin { position:relative; }
      #formfeedbackmain-return { position: absolute;top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(255, 255, 255, .85); display:none; margin:auto; }
      #formfeedbackmain-return div { margin:auto;  }

      #referencefeedback-return { position: absolute;top: 0; left: 0; width: 100%; height: 100%; background-color: rgba(255, 255, 255, .85); display:none; margin:auto;text-align: center; padding:1rem; }
      #referencefeedback-return div { margin:auto;  }
      html, body#estate { overflow-x:hidden; }
      /*.slide-ref { height:40vh; }*/

      #referenceid { border-color:#FFFFFF; display:inline-block; width:200px;  }
      #referenceid.fail { border-color:var(--estate-red); }
      #filterDdownMore i { color:var(--estate-red); }

      .es-langbar-toggler { display:none; }

      .leaflet-marker-icon { cursor:pointer !important; }
      .leaflet-popup-content a { color:var(--estate-dark); }
      .leaflet-popup-content a:hover { color:var(--estate-red-hover); }
      .es-oldprice { color: var(--estate-black-opacity); font-size: 1rem; position: absolute; text-decoration: line-through; margin-left: .5rem; }

      .label-reset { font-size:.9rem; padding: .4rem 1rem !important; }
      .dropdown-menu.show {
        display: block;
        z-index: 1000000;
        max-height: 250px;
        overflow-y: auto;
        overflow-x: hidden;
        width: 240px;
      }
      /* Extra small devices (phones, 600px and down) */

      .cookie-main { background-color:rgba(0,0,0,.7); color:var(--bs-light); font-weight: 600; font-size: 1.2rem; padding:2rem; position:fixed; bottom:0; width:100%; z-index:1000; }

      #formeatstefilter { /*font-family: 'PT Sans Narrow', sans-serif;*/ }
      #formeatstefilter button, #formeatstefilter label { font-size:.9rem; }

      .slider-nav { max-height: 100px; margin-bottom: 2rem; overflow: hidden; }
      .slider-for { min-height: 450px; }
      .slider-nav .slick-slide { padding:0; max-width:150px; }
      .slider-for .prevlistsl { padding: 0 5px; cursor: pointer; }

      .slider-for .slick-prev, .slider-for .slick-next { z-index:50;  }
      .slider-for .slick-prev::before, .slider-for .slick-next::before { font-size:40px;  }
      .slider-for .slick-prev { left:30px; }
      .slider-for .slick-next { right:40px; }
      .slider-for .slick-slide img { width:100%; height: 615px; width: auto;  margin: auto; }
      .slider-for .slick-slide { width:100%; padding: 0 0 .5rem; }
      .slider-for .slick-slide > div { height:640px; overflow:hidden; }
      .form-check-label.es-form-label.m-0.pointer.active { color: var(--estate-red-hover); }


.es-card-footer { background-color:var(--bs-dark); color: var(--bs-light);  }
.es-card-footer .fa { opacity:1; color: var(--estate-red); }

      @media only screen and (min-width: 1920px) {
        .es-carousel .es-carousel-imgblock { background-size:cover; }
      }

      @media only screen and (max-width: 960px) {
	.es-card-footer { background-color:var(--bs-dark); color: var(--bs-light);  }
	.es-card-footer .fa { opacity:1; color: var(--estate-red); }
        .es-menuline-top-mobile .es-list-item {  }
        .slide-ref { height:unset; }
        html, body#estate { overflow-x:hidden; }
        .slick-dots { display:none !important; }
        #menufullwidth, .sun-moon { display:none; }
        .es-container .card .imganimate { min-height:unset; }
        .es-column-4, .es-checkgroup { columns:1; }
        #spaincityquery ul { padding-left:.5rem; }
        #spaincityquery a { font-size: 1.1rem; }
        .es-checkgroup { padding-top: .5rem; }
        .es-form-check { display:block; }
        .es-form { padding-bottom: 50px; }
        .es-form .btn-es-red { position:relative; }
        .form-btn-block { position: relative; }
        .list_media li { display:inline-block; margin-right: 1rem; }
        img { max-width: 100%; display:block; height:auto !important; }
        #pagetext img { margin: 0 !important; }
        .es-carousel .es-carousel-imgblock { background-size: cover;/* background-position: center center;*/ opacity: .95; background-repeat: no-repeat; /*background-attachment: fixed;*/ /*min-height:494px;*/ }
        .es-carousel .es-carousel-imgblock { height: unset; }

        .es-caption-h1 { padding: 1rem 1rem; }
        .es-carousel .carousel-item { padding-top: 0px; }
        .es-footer a:hover { color:var(--estate-lightblue) !important; }

        #estate-top { padding:0; }
        #estate-top { overflow-y: auto; max-height: 100vh; overflow-x:hidden; }
        #estate-top .btn-es-red-outline { width: 92%; margin-top: 1rem; /*margin-left: 1rem;*/ }

        #estate-top .es-nav-addr, #estate-top .sun-moon { display: none; }
        #estate-top .mob-only { margin-top:0; padding-right:0; }
        #estate-top .logoeatate { width: 140px; }
        #estate-top .es-menuline-top { margin-top: .5rem; margin-bottom: .5rem; }

        .mob-only a { /*font-size:.9rem;*/ /*color:var(--estate-red-hover) !important;*/ font-weight: 600; font-size: 1rem; }
        .mob-only .es-list-item button { margin: .5rem; }
        .es-navbar-toggler { font-size:1.6rem; position: absolute; top: .6rem; right: 1rem; }
        .es-langbar-toggler { font-size:1.6rem; position: absolute; top: .6rem; left: 1rem; display:block; }
        .slick-next { right:25px; }
        .slick-prev { left:25px; }

        ul.es-menuline-top-mobile { padding:0; }
        ul.es-menuline-top-mobile .es-list-item { text-align:center; }
        ul.es-menuline-top-mobile .es-list-item .dropdown-menu { width:100%; padding-left:1rem; border-radius: 0; position:relative !important; transform: translate3d(0, 0, 0px) !important; border:0; background-color: var(--estate-lightblue); }
        ul.es-menuline-top-mobile .es-list-item .dropdown-menu.show  { display:block; position: unset; }
        ul.es-menuline-top-mobile .es-list-item .dropdown-menu .es-ddown-link-primary { display:block; margin-left:.5rem; color:var(--estate-dark) !important; margin-bottom: .5rem; border-bottom: 1px solid rgba(0,0,0,.05); padding-bottom: .5rem; }
        ul.es-menuline-top-mobile .es-list-item .dropdown-menu .es-ddown-link-secondary { display:none; margin-left:1rem;  margin-bottom: .5rem; border-bottom: 1px solid rgba(0,0,0,.05); padding-bottom: .5rem; }
        ul.es-menuline-top-mobile .es-list-item a.es-list-href, ul.es-menuline-top-mobile .es-list-item div.es-list-href { padding: .8rem 1rem; text-transform: uppercase; letter-spacing: .1rem; font-size: 1rem !important; color:var(--bs-dark) !important; }

        .btn-es { margin-bottom:.2rem }
        #btn-navbar { display:block }
        .es-nav-datail-mob-title { display:block; margin-bottom:1rem; }
        .es-nav-datail-body { border:unset; background:unset; padding:0; }
        .es-nav-detail { display:none; }

        .es-nav-datail-div.collapse { display:block; }
        .padding-top-mob { padding-top:0px; }
        .es-page-price { text-align:left !important; }
        .slick-dots li { width: 5px; height: 5px; margin: 5px 5px; padding: 5px 0; }
        .slick-arrow { display:none !important; }
        .es-block-div { width:8%; min-width:unset; }
        .breadcrumb { display:none; }
        #pagetext { margin-bottom: 15px; }
        .es-container { padding-left:1rem; padding-right:1rem; padding-top:0; }
        .es-container h2, .class-h2 {
          margin: 0 0 2rem;
        }
        #referencefeedback { display:none; }
        .es-carousel .es-caption { padding:0 !important; }
        .es-carousel .es-caption h1 { font-size:1.7rem; }
        .es-footer { padding: 2rem 1rem; }
        #accordionfaq h3 button { font-size: 1.1rem; }
        .accordion-item ul { padding:0 0 0 1rem; }

        #navbarLang a.es-ddown-lang { padding: .4rem 7%; text-align:left; font-weight:600; }

        p > img { padding-top: 1rem; padding-bottom: 1rem; }

        .es-card a .es-title { white-space:unset; }
        .es-card-block {
            height: 26px;
        }
        .card-title.fs-5 .es-title {
            font-size: 1.4rem !important;
        }
        .card-title { 
          overflow: hidden;
          text-overflow: ellipsis;
          display: -moz-box;
          -moz-box-orient: vertical;
          display: -webkit-box;
          -webkit-line-clamp: 2;
          -webkit-box-orient: vertical;
          line-clamp: 2;
          box-orient: vertical;
        }
        .badge.badge-danger.bg-warning { white-space:unset; }
        .es-block-div:first-child { width:80%; }
        #formfeedbackmain .btn-es-red { position:relative; }
        .btn-forsalerent { margin-bottom:.5rem; width:90%; font-size:1.2rem !important; }

        .es-btngroup { display:inline-block; width:49%; }

        .es-carousel .carousel-item button#btnfiltersmall { margin-top:1rem; width:100%; }

        div.es-form-label { display:block !important;  }
        div.es-form-label  { padding:.25rem 0; }
        .es-form-label > button {  border:2px solid #e4e4e4; width: 100%; margin-bottom: .25rem; font-size: 1rem !important; }

        #estate-top .es-mobile-bottom { padding-top:.5rem; padding-bottom:.5rem; }
        #estate-top .es-mobile-bottom a { color:var(--bs-light); font-weight:600; font-size: 17px; }
        #estate-top .es-topline { padding:.25rem 0 0 0;  }
        #estate-top .es-topline .es-topline-icon { margin:0; display: inline-block; }
        #estate-top .es-topline .es-topline-icon img { width:24px; margin:0 .2rem; }
        .es-menuline-top-mobile {  }

        .es-card .es-title-small { font-size:1rem !important; margin-top:0; }
        .es-card .es-card-for_rent { font-size:1rem !important; }
        .es-card .es-card-for_sale { font-size:1rem !important; }
        #formsfilter .dropdown .dropdown-menu { width:100%; }
        /*.slick-slide img { height:240px !important; }*/

        .label-reset { float:unset !important; }
        .resultdatamain-top .es-card .card { border: 1px solid var(--estate-black-opacity) !important; }

        #containerid-7149 {
          padding-top: 1.5rem;
        }

        #containerid-7163 { 
          background-attachment:fixed;
          -webkit-background-size: auto;
          -moz-background-size: auto;
          -o-background-size: auto;
          background-size: auto;
        }
        #containerid-7163:after { 
              content:"";
              position:fixed; /* stretch a fixed position to the whole screen */
              top:0;
              height:100vh; /* fix for mobile browser address bar appearing disappearing */
              left:0;
              right:0;
              z-index:-1; /* needed to keep in the background */
              background-position: center center;
              -webkit-background-size: auto;
              -moz-background-size: auto;
              -o-background-size: auto;
              background-size: auto;
        }     
        /*.slick-slide img { width:100vw; }*/
        .dropdown-menu.show { width:100%; }
        .slider-for { min-height: 240px; height:undset; }
        .slick-initialized .slick-slide { padding:0; }
        .slider-for .slick-slide > div { height:unset; }

        .slider-nav { max-height: 100px; overflow: hidden; } /*35px*/

        .btn.dropdown-toggle:not(:disabled) { border-color:#e4e4e4 !important; }

        #formsfilter .form-check-label { margin-left:0 !important; }
        .favoritesbtn { padding: 0; margin: 0; min-width: unset; position: absolute; right: 1rem; }


        #resultdatasearch.resultdatamain .slick-slide {
          padding-left: 1rem;
          padding-right: 1rem;
        }

      }
      /* Small devices (portrait tablets and large phones, 600px and up) */
      @media only screen and (min-width: 600px) {

      }
      /* Medium devices (landscape tablets, 768px and up) */
      @media only screen and (min-width: 768px) {

      }
      /* Large devices (laptops/desktops, 992px and up) */
      @media only screen and (min-width: 992px) {

      }
      /* Extra large devices (large laptops and desktops, 1200px and up) */
      @media only screen and (min-width: 1200px) {

      }

